gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A container that controls the alignment and size of its child.

An Alignment widget controls the alignment and size of its child widget. It has four settings: , , , and .

The scale settings are used to specify how much the child widget should expand to fill the space allocated to the Alignment. The values can range from 0 (meaning the child doesn't expand at all) to 1 (meaning the child expands to fill all of the available space).

The alignment settings are used to position the child widget within the available area. The values range from 0 (top or left) to 1 (bottom or right). If the scale settings are both set to 1, (making the child expand), the alignment settings have no effect.

To add a child to an Alignment, use the method from the class.

Gtk.Bin Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` `` Adjusts all the alignment and scale properties. The horizontal alignment of the child widget, from 0 (left) to 1 (right). The vertical alignment of the child widget, from 0 (top) to 1 (bottom). The amount that the child widget expands horizontally to fill up unused space, from 0 to 1. The amount that the child widget expands vertically to fill up unused space, from 0 to 1.

  For the scale parameters, a value of 0 indicates that the child widget should never expand. A value of 1 indicates that the child widget will expand to fill all of the space allocated for the Alignment.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Alignment, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new Alignment with the specified alignment and spacing.
  The horizontal alignment of the child widget, from 0 (left) to 1 (right).
  The vertical alignment of the child widget, from 0 (top) to 1 (bottom).
  The amount that the child widget expands horizontally to fill up unused space, from 0 to 1.
  The amount that the child widget expands vertically to fill up unused space, from 0 to 1.
  A new Alignment.
- Property
  System.Single Manage the vertical alignment of the child widget. A new vertical alignment for the child widget. The child widget's current vertical alignment.

  This property is a value between 0 and 1 where 0 indicates alignment at the top of the container, and 1 indicates alignment at the bottom of the container.

- Property
  System.Single Manage the horizontal alignment of the child widget. A new horizontal alignment for the child widget. The child widget's current horizontal alignment.

  This property is a value between 0 and 1, where 0 indicates no child expansion, and 1 indicates the child expands to fill the Alignment's allocated horizontal size.

- Property
  System.Single Manage the horizontal expansion of the child widget. The proportion that the child widget should expand horizontally. The current horizontal expansion of the child widget.

  This property is a value between 0 and 1, where 0 indicates no child expansion, and 1 indicates the child expands to fill the Alignment's allocated horizontal size.

- Property
  System.Single Manage the vertical expansion of the child widget. The proportion that the child widget should expand vertically. The current vertical expansion of the child widget.

  This property is a value between 0 and 1, where 0 indicates no child expansion, and 1 indicates the child expands to fill the Alignment's allocated vertical size.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  System.UInt32 To be added a To be added
- Property
  System.UInt32 To be added a To be added
- Property
  System.UInt32 To be added a To be added
- Property
  System.UInt32 To be added a To be added
- Method
  System.Void `` `` `` `` To be added a a a a To be added
- Method
  System.Void `` `` `` `` To be added a a a a To be added